package com.rongwei.bsentity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.experimental.Accessors;

/**
 * @author shangmi
 * @title KdSubsystemDetailVo
 * @date 2024/1/4 10:02
 * @description Vo
 */
@Accessors(chain = true)
public class KdSubsystemDetailVo {
    /**
     * table name:TABLENAME
     * table type:varchar(64)
     * table comment:表名
     */
    @JSONField(name = "TABLENAME")
    private String TABLENAME;

    /**
     * table name:TABLECOLUMNNANE
     * table type:varchar(64)
     * table comment:表中列名
     */
    @JSONField(name = "TABLECOLUMNNANE")
    private String TABLECOLUMNNANE;

    /**
     * table name:TABLECOLUMNTYPE
     * table type:varchar(20)
     * table comment:表中列类型
     */
    @JSONField(name  = "TABLECOLUMNTYPE")
    private String TABLECOLUMNTYPE;

    /**
     * table name:LABEL
     * table type:varchar(200)
     * table comment:表单名
     */
    @JSONField(name = "LABEL")
    private String LABEL;

    /**
     * table name:CONTROLTYPE
     * table type:varchar(255)
     * table comment:表单类型
     */
    @JSONField(name = "CONTROLTYPE")
    private String CONTROLTYPE;

    /**
     * table name:ENUMTYPE
     * table type:varchar(50)
     * table comment:表单数据来源
     */
    @JSONField(name = "ENUMTYPE")
    private String ENUMTYPE;

    /**
     * table name:DATAORIGIN
     * table type:text
     * table comment:数据源
     */
    @JSONField(name = "DATAORIGIN")
    private String DATAORIGIN;

    @JSONField(name = "PID")
    private String PID;

    @JSONField(name = "FROMID")
    private String FROMID;

    @JsonProperty("PID")
    public String getPID() {
        return PID;
    }

    public void setPID(String PID) {
        this.PID = PID;
    }

    @JsonProperty("FROMID")
    public String getFROMID() {
        return FROMID;
    }

    public void setFROMID(String FROMID) {
        this.FROMID = FROMID;
    }

    @JsonProperty("TABLENAME")
    public String getTABLENAME() {
        return TABLENAME;
    }


    public void setTABLENAME(String TABLENAME) {
        this.TABLENAME = TABLENAME;
    }
    @JsonProperty("TABLECOLUMNNANE")
    public String getTABLECOLUMNNANE() {
        return TABLECOLUMNNANE;
    }

    public void setTABLECOLUMNNANE(String TABLECOLUMNNANE) {
        this.TABLECOLUMNNANE = TABLECOLUMNNANE;
    }
    @JsonProperty("TABLECOLUMNTYPE")
    public String getTABLECOLUMNTYPE() {
        return TABLECOLUMNTYPE;
    }

    public void setTABLECOLUMNTYPE(String TABLECOLUMNTYPE) {
        this.TABLECOLUMNTYPE = TABLECOLUMNTYPE;
    }
     @JsonProperty("LABEL")
    public String getLABEL() {
        return LABEL;
    }

    public void setLABEL(String LABEL) {
        this.LABEL = LABEL;
    }
    @JsonProperty("CONTROLTYPE")
    public String getCONTROLTYPE() {
        return CONTROLTYPE;
    }

    public void setCONTROLTYPE(String CONTROLTYPE) {
        this.CONTROLTYPE = CONTROLTYPE;
    }
    @JsonProperty("ENUMTYPE")
    public String getENUMTYPE() {
        return ENUMTYPE;
    }

    public void setENUMTYPE(String ENUMTYPE) {
        this.ENUMTYPE = ENUMTYPE;
    }
    @JsonProperty("DATAORIGIN")
    public String getDATAORIGIN() {
        return DATAORIGIN;
    }

    public void setDATAORIGIN(String DATAORIGIN) {
        this.DATAORIGIN = DATAORIGIN;
    }
}
